Bug 902104 - upgrade to GCC 4.7.3; r=gps
authorNathan Froyd <froydnj@mozilla.com>
Tue, 06 Aug 2013 12:39:11 -0400
changeset 141995 681cd35e0e5e147d3112f30be356d47f7b731264
parent 141994 88a8dfd19a679c97d44918b12f3ce388559c0a06
child 141996 3d5845e606affae6375094cb8ce603939e25e45f
push id25076
push userryanvm@gmail.com
push dateFri, 09 Aug 2013 23:09:21 +0000
treeherdermozilla-central@cead6eb63964 [default view] [failures only]
perfherder[talos] [build metrics] [platform microbench] (compared to previous push)
reviewersgps
bugs902104
milestone26.0a1
first release with
nightly linux32
nightly linux64
nightly mac
nightly win32
nightly win64
last release without
nightly linux32
nightly linux64
nightly mac
nightly win32
nightly win64
Bug 902104 - upgrade to GCC 4.7.3; r=gps
build/unix/build-clang/build-clang.py
build/unix/mozconfig.linux
--- a/build/unix/build-clang/build-clang.py
+++ b/build/unix/build-clang/build-clang.py
@@ -112,17 +112,17 @@ def build_one_stage_aux(stage_dir, llvm_
     # arm support on Linux.
     if not is_darwin():
         targets.append("arm")
 
     configure_opts = ["--enable-optimized",
                       "--enable-targets=" + ",".join(targets),
                       "--disable-assertions",
                       "--prefix=%s" % inst_dir,
-                      "--with-gcc-toolchain=/tools/gcc-4.7.2-0moz1"]
+                      "--with-gcc-toolchain=/tools/gcc-4.7.3-0moz1"]
     build_package(llvm_source_dir, build_dir, configure_opts, [])
 
 if __name__ == "__main__":
     # The directories end up in the debug info, so the easy way of getting
     # a reproducible build is to run it in a know absolute directory.
     # We use a directory in /builds/slave because the mozilla infrastructure
     # cleans it up automatically.
     base_dir = "/builds/slave/moz-toolchain"
--- a/build/unix/mozconfig.linux
+++ b/build/unix/mozconfig.linux
@@ -1,9 +1,9 @@
 . "$topsrcdir/build/mozconfig.common"
 
-CC="/tools/gcc-4.7.2-0moz1/bin/gcc"
-CXX="/tools/gcc-4.7.2-0moz1/bin/g++"
+CC="/tools/gcc-4.7.3-0moz1/bin/gcc"
+CXX="/tools/gcc-4.7.3-0moz1/bin/g++"
 
 ac_add_options --enable-elf-hack
 
 # Avoid dependency on libstdc++ 4.7
 ac_add_options --enable-stdcxx-compat